Bug 111607 - Cannot properly download kernel-source-2.4.20-24.7.i386.rpm with up2date
Cannot properly download kernel-source-2.4.20-24.7.i386.rpm with up2date
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Brian Brock
Depends On:
Blocks: 120092
  Show dependency treegraph
Reported: 2003-12-06 00:55 EST by Craig McCluskey
Modified: 2007-04-18 12:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-26 17:18:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Craig McCluskey 2003-12-06 00:55:36 EST
Description of problem:

Ran up2date to download and install:


First two RPMs downloaded fine, but up2date displayed the following
error message after downloading the source RPM:

The package kernel-source-2.4.2-24.7 does not have a valid GPG signature.
It has been tampered with or corrupted. Continue?

Running rpm -K on the three RPMs gives the following results:

$ rpm -K kernel-2.4.20-24.7.athlon.rpm
kernel-2.4.20-24.7.athlon.rpm: md5 (GPG) NOT OK (MISSING KEYS:
$ rpm -K kernel-doc-2.4.20-24.7.i386.rpm
kernel-doc-2.4.20-24.7.i386.rpm: md5 (GPG) NOT OK (MISSING KEYS:
$ rpm -K kernel-source-2.4.20-24.7.i386.rpm
error: /var/tmp/rpm-tmp.26558: Fwrite failed: No space left on device

So rpm thinks the first two RPMs are bad, eventhough up2date thinks
they're fine and rpm doesn't have enough space to check the third
eventhough my / partition has 237 MB free.

Version-Release number of selected component (if applicable):


How reproducible:

Same results from three times of running up2date.

Steps to Reproduce:
1. Run up2date to update kernel and source files to 2.4.20-24.7.

Actual results:
Error message about source RPM.

Expected results:

Normal up2date download and installation.

Additional info:

Note You need to log in before you can comment on or make changes to this bug.